#include <stdio.h>

#define RESULT_OK			0

#define ERROR_PARAM			1
#define ERROR_CREATEFILE	2

#define ERROR_LAST			ERROR_CREATEFILE

const char* g_aErrorMessages[ERROR_LAST+1]=
{	"",
	"invalid parameter (should be: FILENAME)",
	"error creating file %s",
};

int main(int argc,char* argv[])
{
	FILE* pFile;

	if(argc<2)
		return ERROR_PARAM;

	pFile=fopen(argv[1],"wb");
	if(pFile==NULL)
		return ERROR_CREATEFILE;
	fclose(pFile);

	return RESULT_OK;
}
